#pragma once

#include <string>
#include <vector>
#include <memory>

class ChartCandle;
class StatisticalClass;

/**
 * @brief The MovementStatistics class
 */
class MovementStatistics
{
public:
    void histogramFile(const std::string& histogramFileName);
    void data(std::shared_ptr<std::vector<ChartCandle>> data);
    void classes(const std::vector<StatisticalClass>& classes);
    std::vector<StatisticalClass> calculate(int count);

private:
    std::string histogramFile_;
    std::shared_ptr<std::vector<ChartCandle>> data_;
    std::vector<StatisticalClass> classes_;
};
